import javax.swing.plaf.basic.BasicInternalFrameTitlePane;
import java.io.*;
import java.math.BigInteger;
import java.util.*;

public class Main {

    static BigInteger countBetween(BigInteger l, BigInteger r) {
        String lStr = l.toString();
        String rStr = r.toString();
        BigInteger n4 = new BigInteger("4");
        BigInteger op = new BigInteger("" + rStr.length());

        BigInteger res;
        BigInteger sm = n4.add(op.subtract(BigInteger.ONE).multiply(new BigInteger("4")));
        res = sm;
        res = res.multiply(new BigInteger("" + rStr.length()).subtract(BigInteger.ONE).divide(BigInteger.TWO));
        res = res.add(sm.divide(BigInteger.TWO).multiply(new BigInteger("" + rStr.length()).subtract(BigInteger.ONE).remainder(BigInteger.TWO)));
        return res;
    }

    public static void main(String[] args) throws IOException {
        String lStr = nextToken();
        String rStr = nextToken();

//        lStr = "1";
//        rStr = "1";
//        for (int i = 0; i < 1000; i++) {
//            lStr += "0";
//            rStr += "0";
//        }
//        rStr = "1" + rStr;
//
//        out.println(lStr + " " + rStr);
//        out.flush();

        BigInteger l = new BigInteger(lStr);
        BigInteger r = new BigInteger(rStr);

        int[] easy = {2, 3, 5, 7};
        StringBuilder asda = new StringBuilder("1");
        asda.append("0".repeat(1000));
        if (r.compareTo(new BigInteger(asda.toString())) > 0) {
            BigInteger res;
            BigInteger n4 = new BigInteger("4");
            BigInteger op = new BigInteger("" + rStr.length());

            BigInteger sm = n4.add(op.subtract(BigInteger.ONE).multiply(new BigInteger("4")));
            res = sm;
            res = res.multiply(new BigInteger("" + rStr.length()).subtract(BigInteger.ONE).divide(BigInteger.TWO));
            res = res.add(sm.divide(BigInteger.TWO).multiply(new BigInteger("" + rStr.length()).subtract(BigInteger.ONE).remainder(BigInteger.TWO)));

            out.println(res);
            out.close();
            return;
        }
        BigInteger res;
        if (true || r.compareTo(new BigInteger("1000000000000000000")) > 0) {
            StringBuilder lst = new StringBuilder("1");
            lst.append("0".repeat(Math.max(0, lStr.length() - 1)));
            BigInteger before = countBetween(BigInteger.ONE, new BigInteger(lst.toString()));
            BigInteger after = BigInteger.ZERO;

            for (int i = 0; i < lStr.length(); i++) {
                for (int j = 0; j < 4; j++) {
                    StringBuilder num = new StringBuilder();
                    boolean fin = true;
                    for (int k = 0; k < lStr.length(); k++) {
                        if (k == i) {
                            num.append(easy[j]);
                        } else {
                            num.append(1);
                        }
                    }
                    if (!num.isEmpty() && new BigInteger(num.toString()).compareTo(l) < 0 && fin) {
                        before = before.add(BigInteger.ONE);
                    }
                }
            }

            for (int i = 0; i < rStr.length(); i++) {
                for (int j = 0; j < 4; j++) {
                    StringBuilder num = new StringBuilder();
                    boolean fin = true;
                    for (int k = 0; k < rStr.length(); k++) {
                        if (k == i) {
                            num.append(easy[j]);
                        } else {
                            num.append(1);
                        }
                    }
                    if (!num.isEmpty() && new BigInteger(num.toString()).compareTo(r) > 0 && fin) {
                        after = after.add(BigInteger.ONE);
                    }
                }
            }

            StringBuilder fin = new StringBuilder("1");
            fin.append("0".repeat(rStr.length()));

            res = countBetween(BigInteger.ZERO, new BigInteger(fin.toString()));

            out.println(res.subtract(before).subtract(after));
            out.close();
            return;
        }

        res = new BigInteger("0");
        for (int i = lStr.length(); i <= rStr.length(); i++) {
            for (int j = 0; j < i; j++) {
                for (int k = 0; k < 4; k++) {
                    StringBuilder num = new StringBuilder();
                    for (int m = 0; m < i; m++) {
                        if (m == j) {
                            num.append(easy[k]);
                        } else {
                            num.append(BigInteger.ONE);
                        }
                    }

                    if (new BigInteger(num.toString()).compareTo(l) >= 0 && new BigInteger(num.toString()).compareTo(r) <= 0) {
                        res = res.add(BigInteger.ONE);
                    }
                }
            }

        }

        out.println(res);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}