import java.io.*;
import java.util.*;

public class Main {
    static int n;
    static int m;
    static int k;

//    static int rec(int x, int y, int cnt) {
//        out.print(x + " " + y + "; ");
//        if (x == n && y == 1) {
//            out.println(cnt);
//            return cnt;
//        }
//
//        if (x > n || y < 0) {
//            out.println(-1);
//            return Integer.MAX_VALUE;
//        }
//
//        cnt++;
//        int min = Integer.MAX_VALUE;
//        for (int i = 1; i <= k; i++) {
//            min = rec(x+k, y, cnt);
//            min = Math.min(rec(x+k, y-k, cnt), min);
//            min = Math.min(rec(x, y-k, cnt), min);
//        }
//
//        return min;
//    }

    public static void main(String[] args) throws IOException {
        n = nextInt();
        m = nextInt();
        k = nextInt();

        n--;
        m--;

        int cnt = Math.min(n,m)/k;
        int steps = cnt * k;

        if (Math.min(n,m)%k != 0) {
            cnt++;
            steps += Math.min(n,m)%k;
        };

        if (Math.min(n, m) == n) {
            cnt += (m-steps)/k;
            if ((n - m)%k != 0) cnt++;
        }

        if (Math.min(n, m) == m) {
            cnt += (n - steps)/k;
            if ((m - n)%k != 0) cnt++;
        }

        out.println(cnt);

        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}