import java.io.*;
import java.math.BigInteger;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        BigInteger l = new BigInteger(nextToken());
        BigInteger r = new BigInteger(nextToken());

        BigInteger res = new BigInteger("0");
        while(l.compareTo(r) <= 0) {
            String cur = l.toString();
            BigInteger cnt = new BigInteger("1");
            for (int i = 0; i < cur.length(); i++) {
                int num = cur.charAt(i) - '0';
                cnt = cnt.multiply(new BigInteger("" + num));
            }
            if (cnt.compareTo(BigInteger.ZERO) != 0) {
                boolean isEasy = true;
                BigInteger i = new BigInteger("2");
                while(i.compareTo(cnt.sqrt()) <= 0) {
                    if (cnt.remainder(i).compareTo(BigInteger.ZERO) == 0) {
                        isEasy = false;
                        break;
                    }
                    i = i.add(BigInteger.ONE);
                }
                if (isEasy && !cnt.equals(BigInteger.ONE)) {
                    res = res.add(BigInteger.ONE);
                }
            }
            l = l.add(BigInteger.ONE);
        }

        out.println(res);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}