import java.io.*;
import java.math.BigInteger;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        String lStr = nextToken();
        String rStr = nextToken();

        BigInteger l = new BigInteger(lStr);
        BigInteger r = new BigInteger(rStr);

        int[] easy = { 2, 3, 5, 7 };

        BigInteger res = new BigInteger("0");
        for (int i = lStr.length(); i <= rStr.length(); i++) {
            for (int j = 0; j < i; j++) {
                for (int k = 0; k < 4; k++) {
                    StringBuilder num = new StringBuilder();
                    for (int m = 0; m < i; m++) {
                        if (m == j) {
                            num.append(easy[k]);
                        } else {
                            num.append(BigInteger.ONE);
                        }
                    }

                    if (new BigInteger(num.toString()).compareTo(l) >= 0 && new BigInteger(num.toString()).compareTo(r) <= 0) {
                        res = res.add(BigInteger.ONE);
                    }
                }
            }

        }

        out.println(res);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}