import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int d = nextInt();
        int l = nextInt();
        int r = nextInt();

        long[] sqrs = new long[r+1];
        int val = 1;
        int pl = 3;
        int cnt = 0;
        for (int i = 0; i < r+1; i++) {
            sqrs[i] = val;
            long sqr2 = sqrs[i] + d;
            if (sqr2 <= r && sqrs[i] >= l && Math.sqrt(sqr2)%1 == 0) {
                cnt++;
            }
            val += pl;
            pl += 2;
        }

        out.println(cnt);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}