import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        long d = nextLong();
        long l = nextLong();
        long r = nextLong();

        int cnt = 0;
        for (int i = 1; i <= Math.sqrt(d); i++) {
            if (d%i == 0) {
                long secDel = d/i;
                long x1 = (i + secDel)/2;
                if (Math.sqrt(x1*x1-d)%1!= 0) continue;
                long y1 = (long) Math.sqrt(x1*x1-d);
                long x = Math.max(x1, y1);
                long y = Math.min(x1, y1);
                if (y*y >= l && x*x <= r) {
//                    out.println((Math.min(x,y) * Math.min(x,y)) + " " + (Math.max(x,y) * Math.max(x,y)));
                    cnt++;
                }
            }
        }

        out.println(cnt);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}