import java.io.*;
import java.math.BigInteger;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        BigInteger d = new BigInteger(nextToken());
        BigInteger l = new BigInteger(nextToken());
        BigInteger r = new BigInteger(nextToken());

        int cnt = 0;
        for (BigInteger i = BigInteger.ONE; i.compareTo(d.sqrt()) <= 0; i = i.add(BigInteger.ONE)) {
            if (d.remainder(i).compareTo(BigInteger.ZERO) == 0) {
                BigInteger secDel = d.divide(i);
                BigInteger x1 = i.add(secDel).divide(BigInteger.TWO);
                if (x1.multiply(x1).subtract(d).compareTo(BigInteger.ZERO) < 0 || x1.multiply(x1).subtract(d).sqrtAndRemainder()[1].compareTo(BigInteger.ZERO) != 0) continue;
                BigInteger y1 = x1.multiply(x1).subtract(d).sqrt();
                BigInteger x = x1;
                BigInteger y = y1;
                if (x1.compareTo(y1) < 0) {
                    y = x1;
                    x = y1;
                }

                if (y.multiply(y).compareTo(l) >= 0 && x.multiply(x).compareTo(r) <= 0) {
//                    out.println(y.multiply(y) + " " + x.multiply(x));
                    cnt++;
                }
            }
        }

        out.println(cnt);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}