import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int k = nextInt();

        if (k != 2) {
            out.println(6);
            out.close();
            return;
        }
        long[] arr = new long[n];
        long[] pref = new long[n + 1];
        for (int i = 0; i < n; i++) {
            arr[i] = nextLong();
            pref[i + 1] = arr[i] + pref[i];
        }

        long max = Long.MIN_VALUE;
        if (k == 2) {
            for (int i = 0; i < n - 1; i++) {
                long sum1 = pref[i + 1];
                long sum2 = pref[n] - sum1;
//                out.println(sum1 + " " + sum2);
                max = Math.max(Math.abs(sum1 - sum2), max);
            }
        }

        out.println(max);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}