import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int k = nextInt();

        long[] arr = new long[n];
        for (int i = 0; i < n; i++) {
            arr[i] = nextLong();
        }

        int maxLen = n-k+1;
        long maxDif = Long.MIN_VALUE;
        for (int i = 0; i <= n-maxLen; i++) {
            long sum = 0;
            long minVal = Long.MAX_VALUE;
            for (int j = 0; j < i; j++) {
//                out.print("1/" + arr[j] + " ");
                minVal = Math.min(minVal, arr[j]);
            }
            for (int j = i; j<i+maxLen; j++) {
                sum+=arr[j];
            }
            for (int j = i+maxLen; j < n; j++) {
//                out.print("2/" + arr[j] + " ");
                minVal = Math.min(minVal, arr[j]);
            }
//            out.println(minVal);
//            out.println(" ===");
//            out.println((sum) + " " + minVal);
            maxDif = Math.max(maxDif, (sum-minVal));
        }

        out.println(maxDif);

        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}